escript::EscriptParams Class Reference

`#include <EscriptParams.h>`

## Public Member Functions

| EscriptParams ()
int | getInt (const std::string &name, int sentinel=0) const
void | setInt (const std::string &name, int value)
boost::python::list | listEscriptParams () const
int | getAutoLazy () const
int | getLazyStrFmt () const
int | getLazyVerbose () const
int | getResolveCollective () const
int | getTooManyLevels () const
int | getTooManyLines () const
bool | hasFeature (const std::string &name) const
boost::python::list | listFeatures () const

## Private Types

typedef std::unordered_set< std::string > | FeatureSet

## Private Attributes

FeatureSet | features
int | autoLazy
int | lazyStrFmt
int | lazyVerbose
int | resolveCollective
int | tooManyLevels
int | tooManyLines

## Member Typedef Documentation

## FeatureSet

typedef std::unordered_set<std::string> escript::EscriptParams::FeatureSet

private

## Constructor & Destructor Documentation

## EscriptParams()

escript::EscriptParams::EscriptParams | ( |  | ) |

References autoLazy, features, lazyStrFmt, lazyVerbose, resolveCollective, tooManyLevels, and tooManyLines.

## Member Function Documentation

## getAutoLazy()

int escript::EscriptParams::getAutoLazy | ( |  | ) | const

inline

References autoLazy.

## getInt()

int escript::EscriptParams::getInt | ( | const std::string & | name,
|  | int | sentinel = `0`
| ) |  | const

References autoLazy, lazyStrFmt, lazyVerbose, resolveCollective, tooManyLevels, and tooManyLines.

Referenced by escript::getEscriptParamInt().

## getLazyStrFmt()

int escript::EscriptParams::getLazyStrFmt | ( |  | ) | const

inline

References lazyStrFmt.

Referenced by escript::DataLazy::toString().

## getLazyVerbose()

int escript::EscriptParams::getLazyVerbose | ( |  | ) | const

inline

References lazyVerbose.

## getResolveCollective()

int escript::EscriptParams::getResolveCollective | ( |  | ) | const

inline

References resolveCollective.

## getTooManyLevels()

int escript::EscriptParams::getTooManyLevels | ( |  | ) | const

inline

References tooManyLevels.

## getTooManyLines()

int escript::EscriptParams::getTooManyLines | ( |  | ) | const

inline

References hasFeature(), listFeatures(), and tooManyLines.

Referenced by escript::Data::toString().

## hasFeature()

bool escript::EscriptParams::hasFeature | ( | const std::string & | name | ) | const

References features, and MPI_COMM_WORLD.

Referenced by getTooManyLines(), and escript::hasFeature().

## listEscriptParams()

bp::list escript::EscriptParams::listEscriptParams | ( |  | ) | const

References autoLazy, lazyStrFmt, lazyVerbose, resolveCollective, tooManyLevels, and tooManyLines.

Referenced by escript::listEscriptParams().

## listFeatures()

bp::list escript::EscriptParams::listFeatures | ( |  | ) | const

References features.

Referenced by getTooManyLines(), and escript::listFeatures().

## setInt()

void escript::EscriptParams::setInt | ( | const std::string & | name,
|  | int | value
| ) |  |

References autoLazy, lazyStrFmt, lazyVerbose, resolveCollective, tooManyLevels, and tooManyLines.

Referenced by escript::setEscriptParamInt().

## Member Data Documentation

## autoLazy

int escript::EscriptParams::autoLazy

private

Referenced by EscriptParams(), getAutoLazy(), getInt(), listEscriptParams(), and setInt().

## features

FeatureSet escript::EscriptParams::features

private

Referenced by EscriptParams(), hasFeature(), and listFeatures().

## lazyStrFmt

int escript::EscriptParams::lazyStrFmt

private

Referenced by EscriptParams(), getInt(), getLazyStrFmt(), listEscriptParams(), and setInt().

## lazyVerbose

int escript::EscriptParams::lazyVerbose

private

Referenced by EscriptParams(), getInt(), getLazyVerbose(), listEscriptParams(), and setInt().

## resolveCollective

int escript::EscriptParams::resolveCollective

private

Referenced by EscriptParams(), getInt(), getResolveCollective(), listEscriptParams(), and setInt().

## tooManyLevels

int escript::EscriptParams::tooManyLevels

private

Referenced by EscriptParams(), getInt(), getTooManyLevels(), listEscriptParams(), and setInt().

## tooManyLines

int escript::EscriptParams::tooManyLines

private

Referenced by EscriptParams(), getInt(), getTooManyLines(), listEscriptParams(), and setInt().

The documentation for this class was generated from the following files:

- EscriptParams.h
- EscriptParams.cpp